<?php
/*
* tsFormmailer
* Version: 1.0
* (C) 2012 by Top-Side.de
* Lizenz: http://creativecommons.org/licenses/by-nc-sa/3.0/deed.de
*/
session_start();
include("fm_files/config.php");

$border = "border: ".$settings['border_width']."px ".$settings['border_style']." ".$settings['border_color'];
$style = "body { font-family: ".$settings['font_family']."; font-size: ".$settings['font_size']."pt; background: ".$settings['color_background']." }\n";
$style .= "table { border-collapse: collapse; spacing: 0 }\n";
$style .= "td, .tbl { color: ".$settings['font_color']."; padding: 5px; background: ".$settings['color_background_center']."; ".$border." }\n";
$style .= ".left { background: ".$settings['color_column_left']."; font-weight: bold; vertical-align: top }\n";
$style .= ".right { background: ".$settings['color_column_right']." }\n";
$style .= "a:link, a:active, a:visited { color: ".$settings['link_color']."; text-decoration: ".$settings['link_style']." }\n";
$style .= "a:hover { color: ".$settings['link_color_hover']."; text-decoration: ".$settings['link_style_hover']." }\n";
$style .= "input, textarea, select { color: ".$settings['font_color']."; background-color: ".$settings['color_background_center']."; ".$border." }\n";
$style .= "img { border: none }\n";

echo "<?xml version=\"1.0\" encoding=\"UTF-8\" ?>\n";
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.1//EN\" \"http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd\">\n";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"de\">\n";
echo "<head>\n";
echo "<title>tsFormmailer - Administration</title>\n";
echo "<meta http-equiv=\"content-type\" content=\"text/html; charset=utf-8\" />\n";
echo "<style type=\"text/css\">\n".$style."</style>\n";
echo "</head>\n";
echo "<body>\n";

echo "<noscript><div style=\"width: 500px; margin: 0px auto; margin-bottom: 25px; text-align: center; color: #CC0000; background: #FFC000; border: 1px solid #CC0000; padding: 5px\">\n";
echo "Um alle Funktionen benutzen zu k&ouml;nnen <strong>bitte Javascript aktivieren</strong>.\n";
echo "</div></noscript>\n";

if(!$_SESSION['login'])
	$_GET['p'] = "login";
if(!isset($_GET['p']))
	$_GET['p'] = "";

if($_SESSION['login'])
{
	echo "<div class=\"tbl\" style=\"width: 500px; margin: 0px auto; text-align: center; margin-bottom: 20px\">\n";
	echo "<strong>Admin Control Panel</strong><br />\n";
	echo "<img src=\"fm_files/images/config.png\" alt=\"Einstellungen\" style=\"vertical-align: middle\" />&nbsp;<a href=\"admin.php?p=settings\">Einstellungen</a> | \n";
	echo "<img src=\"fm_files/images/keys.png\" alt=\"Passwort &auml;ndern\" style=\"vertical-align: middle\" />&nbsp;<a href=\"admin.php?p=change-password\">Passwort &auml;ndern</a> | \n";
	echo "<img src=\"fm_files/images/logout.png\" alt=\"Logout\" style=\"vertical-align: middle\" />&nbsp;<a href=\"admin.php?p=logout\">Logout</a>\n";
	echo "</div>\n";
}

switch($_GET['p'])
{
	case "login":
	{
		echo "<form action=\"admin.php?p=login\" method=\"post\">\n";
		echo "<table style=\"width: 300px; margin: 0px auto\">\n";
		echo "<tr><td colspan=\"2\" style=\"text-align: center\"><strong>tsFormmailer - Administration</strong><br />Login</td></tr>\n";
		echo "<tr>\n<td class=\"left\">Passwort</td>\n";
		echo "<td class=\"right\"><input type=\"password\" name=\"passwort\" size=\"25\" maxlength=\"25\" /></td>\n</tr>\n";
		echo "<tr><td colspan=\"2\" style=\"text-align: center\"><input type=\"submit\" name=\"login\" value=\"Login\" /></td></tr>\n";
		if($_POST['login'])
		{
			echo "<tr><td colspan=\"2\">\n";
			if($_POST['passwort'] == $settings['admin_pass'])
			{
				$_SESSION['login'] = true;
				echo "<script type=\"text/javascript\">location.href=\"admin.php\";</script>\n";
			}
			else
				echo "<span style=\"color: #ff0000; font-weight: bold\">Falsches Passwort!</span>\n";
			echo "</td></tr>\n";
		}
		echo "</table>\n";
		echo "</form>\n";			
		break;
	}
	case "logout":
	{
		$_SESSION['login'] = false;
		echo "<script type=\"text/javascript\">location.href=\"admin.php\";</script>\n";
		break;
	}
	case "settings":
	{
		echo "<form action=\"admin.php?p=settings\" method=\"post\">\n";
		echo "<table style=\"width: 700px; margin: 0px auto\">\n";
		echo "<tr>\n";
		echo "<td class=\"left\">Seitentitel / &Uuml;berschrift</td>\n";
		echo "<td class=\"right\"><input type=\"text\" name=\"title\" size=\"25\" value=\"".$settings['title']."\" /></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td class=\"left\">E-Mail Adresse</td>\n";
		echo "<td class=\"right\"><input type=\"text\" name=\"mail_address\" size=\"25\" value=\"".$settings['mail_address']."\" /></td>\n";
		echo "</tr>\n";		
		echo "<tr>\n";
		echo "<td class=\"left\">HTML Mail</td>\n";
		echo "<td class=\"right\">\n";
		echo "<input type=\"checkbox\" name=\"html_mail\" value=\"1\"";
		if($settings['html_mail']) echo " checked=\"checked\"";
		echo " /> aktivieren\n";
		echo "</td>\n";
		echo "</tr>\n";		
		echo "<tr>\n";
		echo "<td class=\"left\">Anhang</td>\n";
		echo "<td class=\"right\">\n";
		echo "<input type=\"checkbox\" name=\"attachment\" value=\"1\"";
		if($settings['attachment']) echo " checked=\"checked\"";
		echo " onchange=\"if(this.checked){document.getElementById('divAttachment').style.display='block';}else{document.getElementById('divAttachment').style.display='none';}\" /> aktivieren\n";
		echo "<div id=\"divAttachment\" style=\"display: ";
		echo ($settings['attachment']) ? "block" : "none";
		echo "\"><br />\n";		
		echo "<strong>Maximale Dateigr&ouml;&szlig;e (in KB)</strong><br /><input type=\"text\" name=\"attachment_size\" size=\"5\" value=\"".$settings['attachment_size']."\" /><br />\n";
		echo "<strong>Erlaubte Dateiendungen (mit Kommas getrennt)</strong><br /><input type=\"text\" name=\"attachment_extensions\" size=\"25\" value=\"".$settings['attachment_extensions']."\" /><br />\n";
		echo "</div>\n";
		echo "</td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td class=\"left\">Eigene Felder<br />(Namen mit Kommas trennen)</td>\n";
		echo "<td class=\"right\"><textarea name=\"user_fields\" cols=\"30\" rows=\"3\">".$settings['user_fields']."</textarea></td>\n";
		echo "</tr>\n";		
		echo "<tr>\n";
		echo "<td class=\"left\">Sicherheitscode (Captcha)</td>\n";
		echo "<td class=\"right\"><select name=\"captcha\" size=\"1\">\n";
		$js = "javascript:document.getElementById('divRecaptcha').style.display=";
		echo "<option value=\"0\" onclick=\"".$js."'none';\"";if($settings['captcha']==0)echo" selected=\"selected\"";echo">keinen</option>\n";
		echo "<option value=\"1\" onclick=\"".$js."'none';\"";if($settings['captcha']==1)echo" selected=\"selected\"";echo">Code-Eingabe</option>\n";
		echo "<option value=\"2\" onclick=\"".$js."'none';\"";if($settings['captcha']==2)echo" selected=\"selected\"";echo">Rechenaufgabe</option>\n";
		echo "<option value=\"3\" onclick=\"".$js."'block';\"";if($settings['captcha']==3)echo" selected=\"selected\"";echo">reCAPTCHA</option>\n";
		echo "</select><br />\n";
		echo "<div id=\"divRecaptcha\" style=\"display: ";
		echo ($settings['captcha'] == 3) ? "block" : "none";
		echo "\"><br />\n";
		echo "<a href=\"https://www.google.com/recaptcha/admin/create\">reCAPTCHA Anmeldung</a><br /><br />\n";
		echo "<strong>Public-Key</strong><br /><input type=\"text\" name=\"recaptcha_publickey\" size=\"55\" value=\"".$settings['recaptcha_publickey']."\" /><br />\n";
		echo "<strong>Private-Key</strong><br /><input type=\"text\" name=\"recaptcha_privatekey\" size=\"55\" value=\"".$settings['recaptcha_privatekey']."\" /><br />\n";
		echo "<strong>Farbschema</strong><br /><select name=\"recaptcha_theme\" size=\"1\">\n";
		echo "<option value=\"red\"";if($settings['recaptcha_theme']=="red")echo" selected=\"selected\"";echo">red</option>\n";
		echo "<option value=\"white\"";if($settings['recaptcha_theme']=="white")echo" selected=\"selected\"";echo">white</option>\n";
		echo "<option value=\"blackglass\"";if($settings['recaptcha_theme']=="blackglass")echo" selected=\"selected\"";echo">blackglass</option>\n";
		echo "<option value=\"clean\"";if($settings['recaptcha_theme']=="clean")echo" selected=\"selected\"";echo">clean</option>\n";
		echo "</select>\n";
		echo "</div>\n";
		echo "</td>\n";
		echo "</tr>\n";

		echo "<tr><td colspan=\"2\">Farbe</td></tr>\n";
		echo "<tr>\n";
		echo "<td class=\"left\">Hintergrund</td>\n";
		echo "<td class=\"right\"><input type=\"text\" name=\"color_background\" size=\"25\" value=\"".$settings['color_background']."\" /></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td class=\"left\">Hintergrund (Mitte)</td>\n";
		echo "<td class=\"right\"><input type=\"text\" name=\"color_background_center\" size=\"25\" value=\"".$settings['color_background_center']."\" /></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td class=\"left\">Linke Spalte</td>\n";
		echo "<td class=\"right\"><input type=\"text\" name=\"color_column_left\" size=\"25\" value=\"".$settings['color_column_left']."\" /></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td class=\"left\">Rechte Spalte</td>\n";
		echo "<td class=\"right\"><input type=\"text\" name=\"color_column_right\" size=\"25\" value=\"".$settings['color_column_right']."\" /></td>\n";
		echo "</tr>\n";
		
		echo "<tr><td colspan=\"2\">Schrift</td></tr>\n";
		echo "<tr>\n";
		echo "<td class=\"left\">Farbe</td>\n";
		echo "<td class=\"right\"><input type=\"text\" name=\"font_color\" size=\"25\" value=\"".$settings['font_color']."\" /></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td class=\"left\">Art<br />(z.B.: Arial, Helvetica, Sans-Serif, Verdana)</td>\n";
		echo "<td class=\"right\"><input type=\"text\" name=\"font_family\" size=\"25\" value=\"".$settings['font_family']."\" /></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td class=\"left\">Gr&ouml;&szlig;e</td>\n";
		echo "<td class=\"right\"><input type=\"text\" name=\"font_size\" size=\"25\" value=\"".$settings['font_size']."\" /></td>\n";
		echo "</tr>\n";
		
		echo "<tr><td colspan=\"2\">Link</td></tr>\n";
		echo "<tr>\n";
		echo "<td class=\"left\">Textfarbe</td>\n";
		echo "<td class=\"right\"><input type=\"text\" name=\"link_color\" size=\"25\" value=\"".$settings['link_color']."\" /></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td class=\"left\">Farbe Mouseover (Hover)</td>\n";
		echo "<td class=\"right\"><input type=\"text\" name=\"link_color_hover\" size=\"25\" value=\"".$settings['link_color_hover']."\" /></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td class=\"left\">Textdekoration</td>\n";
		echo "<td class=\"right\"><select name=\"link_style\" size=\"1\">\n";
		echo "<option value=\"underline\"";if($settings['link_style']=="underline")echo" selected=\"selected\"";echo">unterstrichen</option>\n";
		echo "<option value=\"overline\"";if($settings['link_style']=="overline")echo" selected=\"selected\"";echo">&uuml;berstrichen</option>\n";
		echo "<option value=\"line-through\"";if($settings['link_style']=="line-through")echo" selected=\"selected\"";echo">durchgestrichen</option>\n";
		echo "<option value=\"none\"";if($settings['link_style']=="none")echo" selected=\"selected\"";echo">keine</option>\n";
		echo "</select></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td class=\"left\">Textdekoration Mouseover (Hover)</td>\n";
		echo "<td class=\"right\"><select name=\"link_style_hover\" size=\"1\">\n";
		echo "<option value=\"underline\"";if($settings['link_style_hover']=="underline")echo" selected=\"selected\"";echo">unterstrichen</option>\n";
		echo "<option value=\"overline\"";if($settings['link_style_hover']=="overline")echo" selected=\"selected\"";echo">&uuml;berstrichen</option>\n";
		echo "<option value=\"line-through\"";if($settings['link_style_hover']=="line-through")echo" selected=\"selected\"";echo">durchgestrichen</option>\n";
		echo "<option value=\"none\"";if($settings['link_style_hover']=="none")echo" selected=\"selected\"";echo">keine</option>\n";
		echo "</select></td>\n";
		echo "</tr>\n";
		
		echo "<tr><td colspan=\"2\">Rahmen</td></tr>\n";
		echo "<tr>\n";
		echo "<td class=\"left\">St&auml;rke</td>\n";
		echo "<td class=\"right\"><input type=\"text\" name=\"border_width\" size=\"25\" value=\"".$settings['border_width']."\" /></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td class=\"left\">Linienart</td>\n";
		echo "<td class=\"right\"><select name=\"border_style\" size=\"1\">\n";
		echo "<option value=\"solid\"";if($settings['border_style']=="solid")echo" selected=\"selected\"";echo">durchgezogen</option>\n";
		echo "<option value=\"dotted\"";if($settings['border_style']=="dotted")echo" selected=\"selected\"";echo">gepunktet</option>\n";
		echo "<option value=\"dashed\"";if($settings['border_style']=="dashed")echo" selected=\"selected\"";echo">gestrichelt</option>\n";
		echo "<option value=\"none\"";if($settings['border_style']=="none")echo" selected=\"selected\"";echo">unsichtbar</option>\n";
		echo "</select></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td class=\"left\">Farbe</td>\n";
		echo "<td class=\"right\"><input type=\"text\" name=\"border_color\" size=\"25\" value=\"".$settings['border_color']."\" /></td>\n";
		echo "</tr>\n";
			
		echo "<tr><td colspan=\"2\" style=\"text-align: center\"><input type=\"submit\" name=\"settings_save\" value=\"Einstellungen speichern\" /></td></tr>\n";
		echo "</table>\n";
		echo "</form>\n";
		
		if(isset($_POST['settings_save']))
		{
			$settings['title'] = $_POST['title'];
			$settings['mail_address'] = $_POST['mail_address'];
			$settings['html_mail'] = isset($_POST['html_mail']);
			$settings['attachment'] = isset($_POST['attachment']);
			$settings['attachment_size'] = (empty($_POST['attachment_size'])) ? 1024 : (int)$_POST['attachment_size'];
			$settings['attachment_extensions'] = strtolower($_POST['attachment_extensions']);
			$settings['user_fields'] = $_POST['user_fields'];
			$settings['captcha'] = (int)$_POST['captcha'];
			$settings['recaptcha_publickey'] = $_POST['recaptcha_publickey'];
			$settings['recaptcha_privatekey'] = $_POST['recaptcha_privatekey'];
			$settings['recaptcha_theme'] = $_POST['recaptcha_theme'];
			$settings['color_background'] = $_POST['color_background'];
			$settings['color_background_center'] = $_POST['color_background_center'];
			$settings['color_column_left'] = $_POST['color_column_left'];
			$settings['color_column_right'] = $_POST['color_column_right'];
			$settings['font_color'] = $_POST['font_color'];
			$settings['font_family'] = $_POST['font_family'];
			$settings['font_size'] = (int)$_POST['font_size'];
			$settings['link_color'] = $_POST['link_color'];
			$settings['link_color_hover'] = $_POST['link_color_hover'];
			$settings['link_style'] = $_POST['link_style'];
			$settings['link_style_hover'] = $_POST['link_style_hover'];
			$settings['border_width'] = (int)$_POST['border_width'];
			$settings['border_style'] = $_POST['border_style'];
			$settings['border_color'] = $_POST['border_color'];
			$input = "<?php\n";
			$input .= "\$settings = ".var_export($settings, true).";\n";
			$input .= "?>";
			$handle = fopen("fm_files/config.php", "w");
			fwrite($handle, $input);
			fclose($handle);
			echo "<script>location.href=\"admin.php?p=settings\";</script>";
		}
		break;
	}
	case "change-password":
	{
		echo "<form action=\"admin.php?p=change-password\" method=\"post\">\n";
		echo "<table style=\"width: 700px; margin: 0px auto\">\n";
		echo "<tr>\n";
		echo "<td class=\"left\">altes Passwort</td>\n";
		echo "<td class=\"right\"><input type=\"password\" name=\"password_old\" size=\"25\" /></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td class=\"left\">neues Passwort</td>\n";
		echo "<td class=\"right\"><input type=\"password\" name=\"password_new1\" size=\"25\" /></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td class=\"left\">neues Passwort wiederholen</td>\n";
		echo "<td class=\"right\"><input type=\"password\" name=\"password_new2\" size=\"25\" /></td>\n";
		echo "</tr>\n";
		echo "<tr><td colspan=\"2\" style=\"text-align: center\"><input type=\"submit\" name=\"password_save\" value=\"Passwort speichern\" /></td></tr>\n";
		if($_POST['password_save'])
		{
			$error = "";
			if($_POST['password_old'] != $settings['admin_pass'])
				$error .= "&bull; altes Passwort nicht korrekt<br />\n";
			if($_POST['password_new1'] == "")
				$error .= "&bull; kein neues Passwort angegeben<br />\n";
			if($_POST['password_new2'] == "")
				$error .= "&bull; kein neues Passwort (Wiederholung) angegeben<br />\n";
			if($_POST['password_new1'] != $_POST['password_new2'])
				$error .= "&bull; neues Passwort und Wiederholung stimmen nicht &uuml;berein<br />\n";
			if($error == "")
			{
				$settings['admin_pass'] = $_POST['password_new1'];
				$input = "<?php\n";
				$input .= "\$settings = ".var_export($settings, true).";\n";
				$input .= "?>";
				$handle = fopen("fm_files/config.php", "w");
				fwrite($handle, $input);
				fclose($handle);
				echo "<tr><td colspan=\"2\">\n";
				echo "<span style=\"color: #008b00; font-weight: bold\">Passwort ge&auml;ndert</span>\n";
				echo "</td></tr>\n";
			}
			else
			{
				echo "<tr><td colspan=\"2\">\n";
				echo "<span style=\"color: #ff0000; font-weight: bold\">\n".$error."</span>\n";
				echo "</td></tr>\n";
			}
		}
		echo "</table>\n";
		echo "</form>\n";
		break;
	}
}

echo "</body>\n";
echo "</html>";
?>